Subject: Re: [RFC net-next v4 2/8] xsk: add TX timestamp and TX checksum offload support

From: Simon Horman <[email-masked]>
Date: Wed, 26 Jul 2023 09:47:01 +0200

On Tue, Jul 25, 2023 at 03:40:22PM -0700, Stanislav Fomichev wrote:
> On 07/25, Jakub Kicinski wrote:
> > On Tue, 25 Jul 2023 13:30:58 -0700 Stanislav Fomichev wrote:
> > > > I know that it isn't the practice in this file.
> > > > but adding the following makes kernel-doc happier
> > > > about NETDEV_XSK_FLAGS_MASK not being documented.
> > > > 
> > > > 	/* private: */  
> > > 
> > > This is autogenerated file :-( But I guess I can try to extend ynl
> > > scripts to put this comment before the mask. Let me look into that...
> > 
> > Yes, please! I think I even wrote a patch for it at some point...
> > but then we realized that enums didn't support /* private: */.
> > Commit e27cb89a22ada4 has added the support, so we can get back
> > to getting the YNL changes in place.
> 
> Let me actually route these separately to you. I'll fix mxdp_zc_max_seg
> thing as well..

Thanks.
I did miss that this is an auto generated file, sorry about that.
But I do think it would be good to resolve this, at some point.